Firefox won't accept java plugin

I need to get firefox to accept a java plugin to print to my dymo labeler in Amazon seller "scan and label"
Amazon support told me to download java 7 which I did and it did not work, then I was told to go into the java settings under the "Advanced" tab and enable "Mozilla family" for "Default java for browsers" Every time I try to do this this setting will not save and I think that the firefox browser is stopping it.
Amazon support also says that after doing this I should be able to go to firefox add-ins and I will see it under plugins and I cannot.
I think that firefox is blocking this. Is there a way to unblock this?
Using64 bit OS, windows 7 and and the latest firefox 30.0

There has been a change in the Java security settings, see:
*http://kb.mozillazine.org/Java#Java_security_prompts
See also:
*"What should I do when I see a security prompt from Java?":<br>http://www.java.com/en/download/help/appsecuritydialogs.xml
If you visit a website regularly then a possible workaround is to add the URL to the Java Exceptions Site List, see:
*"Why are Java applications blocked by your security settings?":<br>http://www.java.com/en/download/help/java_blocked.xml
*"How can I configure the Exception Site List?":<br>http://www.java.com/en/download/faq/exception_sitelist.xml

Similar Messages

  • Firefox ( =1.0.5) + Java Plugin (1.4.2_08) can't run applets

    Hi
    I'm using gentoo linux and i've been using firefox with the sun java plugin for some time without any problems. however, in the last few weeks there suddenly appeared the following problem with the java plugin:
    Whenever I try to open a page with an applet, there is the java logo, and after some time, there's a red "X" in the place of the applet. When I subsequently open the java console, I always get the same error message (Encyclo.class contains the applet):
    java.lang.ClassNotFoundException: Encyclo.class
         at sun.applet.AppletClassLoader.findClass(AppletClassLoader.java:162)
         at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
         at sun.applet.AppletClassLoader.loadClass(AppletClassLoader.java:123)
         at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
         at sun.applet.AppletClassLoader.loadCode(AppletClassLoader.java:566)
         at sun.applet.AppletPanel.createApplet(AppletPanel.java:619)
         at sun.plugin.AppletViewer.createApplet(AppletViewer.java:1879)
         at sun.applet.AppletPanel.runLoader(AppletPanel.java:548)
         at sun.applet.AppletPanel.run(AppletPanel.java:299)
         at java.lang.Thread.run(Thread.java:534)
    Caused by: java.net.ConnectException: Invalid argument
         at java.net.PlainSocketImpl.socketConnect(Native Method)
         at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:305)
         at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:171)
         at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:158)
         at java.net.Socket.connect(Socket.java:452)
         at sun.net.NetworkClient.doConnect(NetworkClient.java:137)
         at sun.plugin.net.protocol.http.HttpClient.doConnect(HttpClient.java:106)
         at sun.net.www.http.HttpClient.openServer(HttpClient.java:402)
         at sun.net.www.http.HttpClient.openServer(HttpClient.java:618)
         at sun.net.www.http.HttpClient.<init>(HttpClient.java:306)
         at sun.net.www.http.HttpClient.<init>(HttpClient.java:267)
         at sun.plugin.net.protocol.http.HttpClient.<init>(HttpClient.java:41)
         at sun.plugin.net.protocol.http.HttpClient.New(HttpClient.java:62)
         at sun.plugin.net.protocol.http.HttpURLConnection.createConnection(HttpURLConnection.java:101)
         at sun.plugin.net.protocol.http.HttpURLConnection.connect(HttpURLConnection.java:158)
         at sun.plugin.net.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:393)
         at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:272)
         at sun.applet.AppletClassLoader.getBytes(AppletClassLoader.java:263)
         at sun.applet.AppletClassLoader.access$100(AppletClassLoader.java:43)
         at sun.applet.AppletClassLoader$1.run(AppletClassLoader.java:152)
         at java.security.AccessController.doPrivileged(Native Method)
         at sun.applet.AppletClassLoader.findClass(AppletClassLoader.java:149)
         ... 9 more
    I have no Idea what could be wrong. Please help.

    One of my colleagues found a workaround.
    This problem is maybe related to selinux.
    If you disable selinux, applets will work well.
    [ To disable selinux find the line beginning with "SELINUX="
    in your /etc/sysconfig/selinux file and change it to "SELINUX=disabled".
    And then you perhaps have to reboot. ]
    HTH:
    B�lint

  • Is it possible to use 32-bit firefox with 64-bit java plugin?

    Is it possible to use 32-bit firefox with 64-bit java plugin?
    I'd like to use 32-bit firefox and I already install 64-bit java plugin.
    Is that a right choice not to install 32-bit java plugin?
    Will these cause problem?
    Thanks in advance.
    Regards,
    Sean

    Nope - you need the 32bit Java to go with the 32bit Firefox if you want Java to run

  • I am running 10.5.8, and just updated my java to java 5 update10. Now my firefox is missing the Java plugin, and I can't load any Java applet at all. When I try it with Safari, it hangs when certain Java applet loads. HELP!!!

    Suddenly my Java plugin is missing and i can't load any Java with Firefox at all, even though i have it enabled in the browser! i've tried loading in java embedding plugin, but it doesn't work. what should i do???

    It's not in Tools> Add-ons >plugins?  Should be Java Plug-in 2 for NPAPI browsers 13.5.0. What are you seeing there? I don't think it's called the embedding plugin any longer.
    Might try getting the Firefox 5 standalone application. Trash the current one and replace it. Doing this won't affect your Profile or any settings.
    http://www.mozilla.com/en-US/firefox/all.html
    If it's enabled, how can it be missing?
    If this doesn't work, ask here. No need to register. Make sure you put (Mac) in the title.
    http://forums.mozillazine.org/viewforum.php?f=38
    Message was edited by: WZZZ
    EDIT. Oops, may be different for 10.5.8. Was thinking recent Java update for 10.6. But try installing a new app anyway. In the past, this got me the latest Java plugin.

  • Firefox will not recognize java plugin that has been installed and worked 1 day ago.

    I have an IMac with OSX 10.5.8, Firefox 5.0, One day ago it worked fine, today when going to a specific site that requires Java, Firefox will not recognize that Java is installed. I checked for updates and there are none. Java is installed and the site works fine with Safari, which requires Java as well. How can i get Firefox to recognize Java installation.

    Apple has removed support for the Java Plugin2 with the latest Java Update 10 for OS X 10.5 Java version, so the Java plugin is no longer available for Firefox versions and other browsers like Google Chrome that require the Java Plugin2.
    The Java Plugin2 plugin is still there, but he softlink to it has been removed with this update, so Firefox doesn't find the plugin.
    There will be fix for this in the next release (Firefox 5.0.1 or 6), so that Firefox will find the plugin again.
    I don't know if all Java applets will still be working on OS X 10.5 with that JP2 plugin (Apple recommends updating to OS X 10.6 for OS X 10.5 users with an Intel Mac).
    * [/questions/844734]
    * [/forums/contributors/707078]

  • Runing windows 8 and Firefox won't run java script.

    I have a new Dell running windows 8. it seems Firefox won't operate with Java script. what suggestions do you have?

    Start Firefox in <u>[[Safe Mode|Safe Mode]]</u> to check if one of the extensions (Firefox/Tools > Add-ons > Extensions) or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance).
    *Do NOT click the Reset button on the Safe mode start window or otherwise make changes.
    *https://support.mozilla.org/kb/Safe+Mode
    *https://support.mozilla.org/kb/Troubleshooting+extensions+and+themes
    Also make sure that security software isn't blocking JavaScript.

  • Firefox won´t accept entered verification codes.

    On some websites (eBay for example) you have to enter a verification code (to avoid spam messages) to be able to send email to a seller.
    When I do that in Firefox the website won´t accept my enter and asks me to enter the code (a new one) again.
    When I execute exactly the same procedure in Internet Explorer there are no such problems.
    (Firefox ver 16.02.4680. IE ver 8.0.6001.18702.)
    What shall I do to be able to use Firefox in the same way as IE?
    Best regards
    Rolf Bergquist

    Start Firefox in <u>[[Safe Mode|Safe Mode]]</u> to check if one of the extensions (Firefox/Tools > Add-ons > Extensions) or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance).
    *Do not click the Reset button on the Safe mode start window or otherwise make changes.
    *https://support.mozilla.org/kb/Safe+Mode
    *https://support.mozilla.org/kb/Troubleshooting+extensions+and+themes
    Also make sure that security software isn't blocking or changing such CAPTCHA images.

  • Yahoo mail login says Firefox won't accept cookies but my option is too accept cookies - so what's wrong?

    My wife and I can't log into our Yahoo e-mail accounts (or, I guess, our Yahoo account). Whenever we try, we get the message: "The browser you're using refuses to sign in (cookies rejected)".
    However, my cookies setting in Firefox is: 1) accept cookies 2) accept third-party cookies 3) keep cookies until they expire.
    A few days ago I did change the cookie settings to 1) accept cookies from sites 2) do not accept cookies from sites 3) ask me every time. I also deleted a lot of cookies I didn't recognize or didn't want. I did this because I was (and still am) having trouble with a re-direction virus.
    So if anyone has any suggestions as to what needs to be done to make Yahoo e-mail accessible again I would very much appreciate their advice.
    I thank everyone for their advice in advance.
    Thanks a million.

    Reload the webpage while bypassing the cache using '''one''' of the following steps:
    *Hold down the ''Shift'' key and click the ''Reload'' button with a left click.
    OR
    *Press ''Ctrl'' + ''F5'' or ''Ctrl'' + ''Shift'' + ''R'' (Windows and Linux)
    *Press ''Command'' + ''Shift'' + ''R'' (Mac)
    Let us know if this solves the issues you are having.

  • Firefox won't accept some of the addresses I want to be allowed in my outlook mailbox

    I have some address in my outlook express mail box that I want firefox to let through and open the website but firefox won't let it come through how do I fix this problem so that I can use these websites

    You can do that with the Bookmarks Deiconizer extension - https://addons.mozilla.org/firefox/addon/bookmarks-deiconizer

  • Help-About proves I have Firefox 3.6.24 installed [not latest version as it won't accept key plugins] - but I keep getting requests to update to the same version, 3.6.24 - can you advise?

    I have 'When updates are found, ask me what to do' selected in Options-Advanced, and I am getting daily this box saying, Update to 3.6.24 even though I'm already using it.

    If files already have been downloaded then remove the files in the updates and updates\0 folder.
    You can also delete active-update.xml and possibly updates.xml (stores the update history).
    * http://kb.mozillazine.org/Software_Update (Software Update not working properly)
    C:\Documents and Settings\&lt;user&gt;\Local Settings\Application Data\Mozilla\Firefox\Mozilla Firefox\updates
    (%USERPROFILE%\Local Settings\Application Data\Mozilla\Firefox\Mozilla Firefox)

  • Firefox is not detecting Java plugin

    A few weeks ago I installed updates and updated to Firefox 3.6.13 on OpenSuse 11.1 (yeah, I know, I should upgrade, but I'm lazy). No more Java functionality for me. So I installed a new version. I followed all of the instructions on this page (I've tried both from the RPM and the self-extracting file and get the same results either way): http://java.com/en/download/help/linux_install.xml but I got nothing. Next I tried this: http://www.oracle.com/technetwork/java/javase/manual-plugin-install-linux-136395.html The /firefox/plugins folder (which I should note I have installed in my home directory) shows the symbolic link. Still not registering in Firefox, at all. When I go to about:plugins, I'm not seeing anything about JRE.
    At this point I'm at a loss. I'm ashamed to admit that as long as I've been using Linux, I still know very little about it as I only use the very basic functions on my machine (email, internet, office applications; no need for much other than that). But I've never run up against this problem before, and I'm not sure what I'm missing here about what I did wrong. I have this sneaking suspicion it's something simple, but...
    thanks!

    Make sure that you create a symlink to the Java JP2 plugin (libnpjp2.so) that current Firefox version need.
    *http://www.oracle.com/technetwork/java/javase/manual-plugin-install-linux-136395.html
    * http://kb.mozillazine.org/Determining_plugin_directory_on_Linux
    <pre><nowiki>ln -s /usr/lib/jvm/jre/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins/libnpjp2.so (java-1_6_0-sun-plugin)
    </nowiki></pre>
    OpenSUSE 11.1 has reached end of live, so you won't be getting any updates as you probably noticed.
    *http://en.opensuse.org/Lifetime

  • I can't set Firefox to open PHP files with Firefox (in preferences- applications-php files) Firefox won't accept anything but "always ask" and Preview. I want to preview php files in Bbedit and that requires that Firefox can open it.

    with an open php file in Bbedit (Macintosh) it was possible to preview appearance by chosing "Preview in.." in Bbedit's "Markup" menu. This called Firefox to open and display the file. Now, doing this continually repeats a "Open with (choose)" request.

    Unfortunately this solution doesn't work for me for local files (on my computer). Still I can only choose to open in Notepad or "other". It seems that I can select Firefox, but it won't do anything when I actually select it.... I did NOT have this problem with the previous version of Firefox (before 6.0.2). The only thing that's changed, is the Firefox update from yesterday (September 28th, 2011).

  • Java Plugin does not initialize

    Hi,
    I am trying to run a web based tool called Infoview through firefox and it involves java plugin, but when I try to create a new report in InfoView using firefox browser it says no suitable plugins found.
    I do not know how to fix this. Currently I have Java 6 update 26 on my system. It is a Windows XP 32 bit machine.
    Please suggest
    Thanks,
    Rishabh

    I suspect that the link you provide is out of date. First, there is no plugins subdirectory in the distributed Firefox 12 tar, and the ~/.mozilla/plugins directory is empty, yet I do have plugins for Adobe Reader, Citrix, and Shockwave Flash. Furthermore I did the find command that the page recommends (as root) and there is no instance of a null plugin on my system. Furthermore I did try placing a link to the java plugin in all of the recommended places with not change in effect, java is simply not appearing as a plugin.
    So, in answer to your question, where would that location be for Firefox 12?
    And, not trying to get to snotty, but any links to out of date help pages will be ignored.

  • Ibm java plugin failure

    Before version 368, firefox recognised the ibm java plugin. Now, ibm java plugin not recognised

    incomptability between ibm java sdk6 and firefox 368
    Posted: Aug 13, 2010 06:48:05 AM
    Click to report abuse... Click to reply to this thread Reply
    Firefox368 now needs this plugin libnpjp2.so as described by oracle (http://www.oracle.com/technetwork/java/javase/manual-plugin-install-linux-136395.html). This plugin is not available in ibmjavasdk6
    ther
    Posts: 3
    Registered: Oct 20, 2009 08:31:26 AM
    Re: incomptability between ibm java sdk6 and firefox 368
    Posted: Aug 13, 2010 06:52:34 AM in response to: ther in response to: ther's post
    Click to report abuse... Click to reply to this thread Reply
    Now realised that this plugin is located in /path/to/java/jre/lib/i386/, so a symbolic link was created. Documentation should be changed accordingly.

  • Java plugin causing Firefox to crash

    I installed the newest Java plugin today and it asked me to restart Firefox. Now it crashes as soon as I open it. It will not open in Safe Mode because it won't stay open for more than half a second. I tried re-installing it and restarting my computer and it's having the same problem. I can't open about:crashes because it won't stay open.

    Make sure that you've installed the 32 bit Java version because Firefox is a 32 bit application.
    *http://www.oracle.com/technetwork/java/javase/downloads/index.html (Java Platform > Java SE 6 > Download JRE)

Maybe you are looking for

  • How to change employee responsible for open campaigns.

    Hi, I want to find out open campaigns and marketing attributes based on partner function i.e., employee responsible and these open documents I need assign to another employee responsible. Which function module I need to read the details and which fm

  • Did anybody knew about this .... and if not read on ....

    Hi there, I thought about it and deceited to let fellow Flash / FLEX developers know. Published on the general Msg board section on New Zealands main trading site called 'TadeMe'. Somebody trying to offer his services to the publicon there  under = '

  • @JEXPORT download needed for essbase 9.2.1

    Good evening, I need to export a subset of data from an essbase database ; I'm using essbase 9.2.1 . I'm reading that the @JEXPORT function, or @JExtendedExportTo function will work for this need. Does anyone know where this can be downloaded? I'm ha

  • Java - Platform Independent, so why different results?

    This isn't a code specific topic, but I hope someone can still help me out with this. I've been developing a bit of code for a Java class that I'm taking, working in a small group with a few friends. I spend an entire weekend pounding out a GUI for t

  • Course (stepping) line width and opacity using paintbrush tool with stylus control enabled

    why are my lines jaggy/stair-steppy at the ends when i use the paintbrush tool? I have Photoshop touch for phone loaded on my Samsung Galaxy Note i717 running Android v4.0.4. I enabled stylus control for both size and opacity. Rather than having line